/*
 *  Copyright (C) 2006  Takashi Kasuya <kasuya@sfc.keio.ac.jp>
 *
 * This library is free software; you can redistribute it and/or
 *　modify it under the terms of the GNU Lesser General Public
 *　License as published by the Free Software Foundation; either
 *　version 2.1 of the License, or (at your option) any later version.
 *　This library is distributed in the hope that it will be useful,
 *　but WITHOUT ANY WARRANTY; without even the implied warranty of
 *　MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *　Lesser General Public License for more details.
 *
 *　You should have received a copy of the GNU Lesser General Public
 *　License along with this library; if not, write to the Free Software
 *　Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA
 */

package jp.ac.naka.ec.plugin.serial;

/**
 * EntityCollaboratorにシリアルからの入力をイベント情報として配信する際に用いるデータ型。
 * 現在使用されていない。
 * @author Takashi Kasuya
 *
 */

public interface SensorData {

	public String toString();

	/**
	 * @return the sensor_type
	 */
	public int getSensorType();

	/**
	 * @return the rssi
	 */
	public int getRssi();

	/**
	 * @return the sensor_value
	 */
	public String getSensorValue();

	/**
	 * @return the seqNumber
	 */
	public int getSeqNumber();

	/**
	 * @return the srcAddr
	 */
	public int getSrcAddr();

	/**
	 * @return the srcPanId
	 */
	public int getSrcPanId();
	
	/**
	 * 
	 * @param num
	 */
	public void setId(int num);
	
	/**
	 * 
	 * @return
	 */
	public int getId();

}